=== data/color-schemes/CMakeLists.txt ===
# Note some color schemes are deliberately not installed
# at present

install( FILES
         BlackOnLightYellow.colorscheme
         BlackOnRandomLight.colorscheme
         BlackOnWhite.colorscheme
         BlueOnBlack.colorscheme
         Breeze.colorscheme
         GreenOnBlack.colorscheme
         WhiteOnBlack.colorscheme
         Linux.colorscheme
         DarkPastels.colorscheme
         RedOnBlack.colorscheme
         Solarized.colorscheme
         SolarizedLight.colorscheme
         DESTINATION
         ${KDE_INSTALL_DATADIR}/konsole )
