=== data/layouts/CMakeLists.txt ===
install (FILES
    1x2-terminals.json
    2x1-terminals.json
    2x2-terminals.json
    DESTINATION
    ${KDE_INSTALL_DATADIR}/konsole)
