=== debian/changelog ===
konsole (4:22.12.3-1+deb12u1) bookworm-security; urgency=medium

  * CVE-2025-49091

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 11 Jun 2025 20:12:08 +0200

konsole (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:56 +0100

konsole (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 10:08:50 +0100

konsole (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:17 +0100

konsole (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:48 +0100

konsole (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:01 +0100

konsole (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Bump Standards-Version to 4.6.1, no change required.
  * Drop patch upstream-a6fce70f-fix-scroll-position-jumps.patch applied
    upstream.
  * Remove useless lintian overrides file or the debug package.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 12 Oct 2022 13:42:04 +0200

konsole (4:22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * Backport upstream commit to fix scroll position jumps.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 28 May 2022 10:26:00 +0200

konsole (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Rewrite copyright information from upstream SPDX info.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 08:33:40 +0100

konsole (4:21.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 12:15:13 +0100
