## konsole 23.08.1

=== debian/changelog ===
konsole (4:23.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Add build-dep on qtmultimedia5-dev as required by cmake. 
  * Update list of files installed from build logs.

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 21 Sep 2023 19:14:35 -0400
