=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
                libkf5xmlgui-dev (>= 5.71.0~),
                libx11-dev,
                qtbase5-dev (>= 5.15.0~),
+               qtmultimedia5-dev (>= 5.15.0~),
                zlib1g-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
